import org.jetbrains.kotlin.gradle.tasks.KotlinCompile

buildscript {
    var kotlin_version: String by extra
    kotlin_version = "1.2.31"

    repositories {
        mavenCentral()
        jcenter()
    }
    dependencies {
        classpath(kotlin("gradle-plugin", kotlin_version))
        classpath("com.github.jengelman.gradle.plugins:shadow:2.0.3")
    }
}

group = "online.anthonycicchetti"
version = "0.1.0"

plugins {
    id("com.github.johnrengelman.shadow") version "2.0.3"
    kotlin("jvm") version "1.2.31"
    application
}

val kotlin_version: String by extra

repositories {
    mavenCentral()
    jcenter()
}

dependencies {
    implementation(kotlin("stdlib-jdk8", kotlin_version))
    implementation("no.tornado", "tornadofx", "+")
}

application {
    mainClassName = "ipspatcher.MainApp"
}

tasks.withType<KotlinCompile> {
    kotlinOptions.jvmTarget = "1.8"
}